Barrelman Docs

GBFS

Shared-mobility (bikeshare and scooter) systems and real-time station availability from GBFS feeds.

Find nearby shared-mobility stations with real-time availability

GET
/gbfs/nearby-stations

Query Parameters

latRequiredstring
lngRequiredstring
radiusstring
vehicleTypestring
limitstring

Response Body

curl -X GET "https://example.com/gbfs/nearby-stations?lat=string&lng=string&radius=string&vehicleType=string&limit=string"
fetch("https://example.com/gbfs/nearby-stations?lat=string&lng=string&radius=string&vehicleType=string&limit=string")
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://example.com/gbfs/nearby-stations?lat=string&lng=string&radius=string&vehicleType=string&limit=string"

  req, _ := http.NewRequest("GET", url, nil)
  
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://example.com/gbfs/nearby-stations?lat=string&lng=string&radius=string&vehicleType=string&limit=string"

response = requests.request("GET", url)

print(response.text)
Empty

Single shared-mobility station with real-time availability

GET
/gbfs/station

Query Parameters

systemIdstring
stationIdstring
latstring
lngstring
radiusstring

Response Body

curl -X GET "https://example.com/gbfs/station?systemId=string&stationId=string&lat=string&lng=string&radius=string"
fetch("https://example.com/gbfs/station?systemId=string&stationId=string&lat=string&lng=string&radius=string")
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://example.com/gbfs/station?systemId=string&stationId=string&lat=string&lng=string&radius=string"

  req, _ := http.NewRequest("GET", url, nil)
  
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://example.com/gbfs/station?systemId=string&stationId=string&lat=string&lng=string&radius=string"

response = requests.request("GET", url)

print(response.text)
Empty

List GBFS systems within a bounding box

GET
/gbfs/systems

Query Parameters

northRequiredstring
southRequiredstring
eastRequiredstring
westRequiredstring

Response Body

curl -X GET "https://example.com/gbfs/systems?north=string&south=string&east=string&west=string"
fetch("https://example.com/gbfs/systems?north=string&south=string&east=string&west=string")
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://example.com/gbfs/systems?north=string&south=string&east=string&west=string"

  req, _ := http.NewRequest("GET", url, nil)
  
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://example.com/gbfs/systems?north=string&south=string&east=string&west=string"

response = requests.request("GET", url)

print(response.text)
Empty